function plot_digit(digit)

if size(digit,2) ~= 784
    error('Wrong image size')
end;

result = [];
row = zeros(20*28,28);
for i=1:size(digit,1)
    j = mod(i,20);
    if (mod(i,20) == 0) 
        row(19*28+1:20*28,:) = reshape(digit(i,:),28,28)';
        result = [result row];
        row = zeros(20*28,28);
    else
        row((j-1)*28+1:j*28,:) = reshape(digit(i,:),28,28)';
        if (i == size(digit,1))
            result = [result row];
        end
    end
    
end;

imshow(result);