function [ProjX] = project2pca(x,Vec,Off)
% PROJECT2PCA Projects a new set datapoints to a lower dimensional space
% from previously computed Principal Components.
% 18th Machine Learning Summer School
%
% Author: Ruben Martinez-Cantin <rmcantin@unizar.es>
%

y=x-ones(size(x,1),1)*Off;  % normalise by subtracting mean
prefinal=Vec'*y';
ProjX=prefinal';            % final is normalised data projected onto eigenspace