function y = hump(x)
% 
% Hump function 
% Matlab Code by A. Hedar (Sep. 29, 2005).
% The number of variables n = 2.
% Search domain: -5 ≤ xi ≤ 5, i = 1, 2.
% Number of local minima: no local minimum except the global ones.
% The global minima: x* =  (0.0898, -0.7126), (-0.0898, 0.7126),
%                  f(x*) = 0.
% 
y=1.0316285+4*x(1)^2-2.1*x(1)^4+x(1)^6/3+x(1)*x(2)-4*x(2)^2+4*x(2)^4;
